diff -urNad mysql-connector-odbc-5.1.13-src/test/my_curext.c mysql-connector-odbc-5.1.12-src/test/my_curext.c
--- mysql-connector-odbc-5.1.13-src/test/my_curext.c	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/test/my_curext.c	2013-01-24 18:58:34.000000000 +0200
@@ -1,5 +1,5 @@
 /*
-  Copyright (c) 2003, 2013, Oracle and/or its affiliates. All rights reserved.
+  Copyright (c) 2003, 2010, Oracle and/or its affiliates. All rights reserved.
 
   The MySQL Connector/ODBC is licensed under the terms of the GPLv2
   <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
diff -urNad mysql-connector-odbc-5.1.13-src/test/my_cursor.c mysql-connector-odbc-5.1.12-src/test/my_cursor.c
--- mysql-connector-odbc-5.1.13-src/test/my_cursor.c	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/test/my_cursor.c	2013-01-24 18:58:34.000000000 +0200
@@ -1,5 +1,5 @@
 /*
-  Copyright (c) 2003, 2013, Oracle and/or its affiliates. All rights reserved.
+  Copyright (c) 2003, 2012, Oracle and/or its affiliates. All rights reserved.
 
   The MySQL Connector/ODBC is licensed under the terms of the GPLv2
   <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
diff -urNad mysql-connector-odbc-5.1.13-src/test/my_datetime.c mysql-connector-odbc-5.1.12-src/test/my_datetime.c
--- mysql-connector-odbc-5.1.13-src/test/my_datetime.c	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/test/my_datetime.c	2013-01-24 18:58:34.000000000 +0200
@@ -1,5 +1,5 @@
 /*
-  Copyright (c) 2007, 2013, Oracle and/or its affiliates. All rights reserved.
+  Copyright (c) 2007, 2012, Oracle and/or its affiliates. All rights reserved.
 
   The MySQL Connector/ODBC is licensed under the terms of the GPLv2
   <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
@@ -31,18 +31,9 @@
   SQLCHAR          szTs[50];
   TIMESTAMP_STRUCT ts;
   SQLLEN           len;
-  int is_fraction_capable = mysql_min_version(hdbc, "5.6.", 4);
 
   ok_sql(hstmt, "DROP TABLE IF EXISTS my_ts");
-
-  if(is_fraction_capable)
-  {
-    ok_sql(hstmt, "CREATE TABLE my_ts (ts TIMESTAMP(6))");
-  }
-  else
-  {
-    ok_sql(hstmt, "CREATE TABLE my_ts (ts TIMESTAMP)");
-  }
+  ok_sql(hstmt, "CREATE TABLE my_ts (ts TIMESTAMP)");
 
   /* insert using SQL_C_CHAR to SQL_TIMESTAMP */
   strcpy((char *)szTs, "2002-01-07 10:20:49.06");
@@ -64,8 +55,7 @@
   ts.hour= 19;
   ts.minute= 47;
   ts.second= 59;
-  ts.fraction= is_fraction_capable ? 123456000 : 0;
-
+  ts.fraction= 4;
   ok_stmt(hstmt, SQLBindParameter(hstmt, 1, SQL_PARAM_INPUT,
                                   SQL_C_TIMESTAMP, SQL_TIMESTAMP,
                                   0, 0, &ts, sizeof(ts), NULL));
@@ -82,10 +72,7 @@
   ok_stmt(hstmt, SQLFetchScroll(hstmt, SQL_FETCH_ABSOLUTE, 1));
 
   ok_stmt(hstmt, SQLGetData(hstmt, 1, SQL_C_CHAR, szTs, sizeof(szTs), &len));
-  
-  is_str(szTs, is_fraction_capable ? "2002-01-07 10:20:49.060000" : 
-                                     "2002-01-07 10:20:49", len);
-
+  is_str(szTs, "2002-01-07 10:20:49", len);
   printf("# row1 using SQL_C_CHAR: %s (%ld)\n", szTs, len);
 
   ok_stmt(hstmt, SQLFetchScroll(hstmt, SQL_FETCH_ABSOLUTE, 1));
@@ -97,8 +84,6 @@
   is_num(ts.hour,  10);
   is_num(ts.minute,20);
   is_num(ts.second,49);
-  is_num(ts.fraction, is_fraction_capable ? 60000000 : 0);
-
   printf("# row1 using SQL_C_TIMESTAMP: %d-%d-%d %d:%d:%d.%d (%ld)\n",
          ts.year, ts.month,ts.day, ts.hour, ts.minute, ts.second, ts.fraction,
          len);
@@ -106,8 +91,7 @@
   ok_stmt(hstmt, SQLFetchScroll(hstmt, SQL_FETCH_ABSOLUTE, 2));
 
   ok_stmt(hstmt, SQLGetData(hstmt, 1, SQL_C_CHAR, szTs, sizeof(szTs), &len));
-  is_str(szTs, is_fraction_capable ? "2002-01-07 19:47:59.123456" :
-                                      "2002-01-07 19:47:59", len);
+  is_str(szTs, "2002-01-07 19:47:59", len);
   printf("# row2 using SQL_C_CHAR: %s(%ld)\n", szTs, len);
 
   ok_stmt(hstmt, SQLFetchScroll(hstmt, SQL_FETCH_ABSOLUTE, 2));
@@ -119,8 +103,6 @@
   is_num(ts.hour,  19);
   is_num(ts.minute,47);
   is_num(ts.second,59);
-  is_num(ts.fraction, is_fraction_capable ? 123456000 : 0);
-
   printf("# row2 using SQL_C_TIMESTAMP: %d-%d-%d %d:%d:%d.%d (%ld)\n",
          ts.year, ts.month,ts.day, ts.hour, ts.minute, ts.second, ts.fraction,
          len);
@@ -151,7 +133,6 @@
 {
   SQLRETURN rc;
   SQL_TIMESTAMP_STRUCT ts, ts1, ts2;
-  int is_fraction_capable = mysql_min_version(hdbc, "5.6.", 4);
 
   ts.day    = 02;
   ts.month  = 8;
@@ -159,66 +140,68 @@
   ts.hour   = 18;
   ts.minute = 20;
   ts.second = 45;
-  ts.fraction = is_fraction_capable ? 555000 : 0;   
+  ts.fraction = 05;   
 
   memcpy(&ts1, (void*) &ts, sizeof(SQL_TIMESTAMP_STRUCT));
-
-  memcpy(&ts2, (void*) &ts1, sizeof(SQL_TIMESTAMP_STRUCT));
-
-  /* 
-    SQL_TIME cannot have the fractional part
-    http://msdn.microsoft.com/en-us/library/ms709385%28v=vs.85%29.aspx
-  */
+  /* For SQL_TIME fraction is truncated and that would cause error */
   ts1.fraction= 0;
 
+  memcpy(&ts2, (void*) &ts1, sizeof(SQL_TIMESTAMP_STRUCT));
   /* Same for SQL_DATE - time is truncated -> error */
-  ts2.hour= ts2.minute= ts2.second= ts2.fraction= 0;
+  ts2.hour= ts2.minute= ts2.second= 0;
 
   ok_sql(hstmt, "DROP TABLE IF EXISTS t_tstotime");
 
-  ok_con(hdbc, SQLTransact(NULL,hdbc,SQL_COMMIT));
+  rc = SQLTransact(NULL,hdbc,SQL_COMMIT);
+  mycon(hdbc,rc);
 
-  if(is_fraction_capable)
-  {
-    ok_sql(hstmt,"create table t_tstotime(col1 date,col2 time, col3 timestamp(6))");
-  }
-  else
-  {
-    ok_sql(hstmt,"create table t_tstotime(col1 date ,col2 time, col3 timestamp)");
-  }
+  rc = tmysql_exec(hstmt,"create table t_tstotime(col1 date ,col2 time, col3 timestamp)");
+  mystmt(hstmt,rc);
 
-  ok_con(hdbc, SQLTransact(NULL,hdbc,SQL_COMMIT));
+  rc = SQLTransact(NULL,hdbc,SQL_COMMIT);
+  mycon(hdbc,rc);
 
-  ok_stmt(hstmt, SQLFreeStmt(hstmt,SQL_CLOSE));
+  rc = SQLFreeStmt(hstmt,SQL_CLOSE);
+  mystmt(hstmt,rc);
 
   /* TIMESTAMP TO DATE, TIME and TS CONVERSION */
-  ok_stmt(hstmt, SQLPrepare(hstmt, (SQLCHAR *)"insert into t_tstotime(col1,col2,col3) values(?,?,?)",SQL_NTS));
+  rc = SQLPrepare(hstmt, (SQLCHAR *)"insert into t_tstotime(col1,col2,col3) values(?,?,?)",SQL_NTS);
+  mystmt(hstmt,rc);   
 
-  ok_stmt(hstmt, SQLBindParameter(hstmt,1,SQL_PARAM_INPUT,SQL_C_TIMESTAMP,
-                                  SQL_DATE,0,0,&ts2,sizeof(ts2),NULL));
+  rc = SQLBindParameter(hstmt,1,SQL_PARAM_INPUT,SQL_C_TIMESTAMP,
+                        SQL_DATE,0,0,&ts2,sizeof(ts2),NULL);
+  mystmt(hstmt,rc);
 
-  //ts1.fraction= 0;
-  ok_stmt(hstmt, SQLBindParameter(hstmt,2,SQL_PARAM_INPUT,SQL_C_TIMESTAMP,
-                                  SQL_TIME,0,0,&ts1,sizeof(ts1),NULL));
+  rc = SQLBindParameter(hstmt,2,SQL_PARAM_INPUT,SQL_C_TIMESTAMP,
+                        SQL_TIME,0,0,&ts1,sizeof(ts1),NULL);
+  mystmt(hstmt,rc);
 
-  ok_stmt(hstmt, SQLBindParameter(hstmt,3,SQL_PARAM_INPUT,SQL_C_TIMESTAMP,
-                                  SQL_TIMESTAMP,0,0,&ts,sizeof(ts),NULL));
+  rc = SQLBindParameter(hstmt,3,SQL_PARAM_INPUT,SQL_C_TIMESTAMP,
+                        SQL_TIMESTAMP,0,0,&ts,sizeof(ts),NULL);
+  mystmt(hstmt,rc);
 
-  ok_stmt(hstmt, SQLExecute(hstmt));
+  rc = SQLExecute(hstmt);
+  mystmt(hstmt,rc);
 
-  ok_stmt(hstmt, SQLFreeStmt(hstmt,SQL_RESET_PARAMS));
+  rc = SQLFreeStmt(hstmt,SQL_RESET_PARAMS);
+  mystmt(hstmt,rc);  
 
-  ok_stmt(hstmt, SQLFreeStmt(hstmt,SQL_CLOSE));
+  rc = SQLFreeStmt(hstmt,SQL_CLOSE);
+  mystmt(hstmt,rc);  
 
-  ok_con(hdbc, SQLTransact(NULL,hdbc,SQL_COMMIT));
+  rc = SQLTransact(NULL,hdbc,SQL_COMMIT);
+  mycon(hdbc,rc);
 
-  ok_sql(hstmt,"select * from t_tstotime");
+  rc = tmysql_exec(hstmt,"select * from t_tstotime");
+  mystmt(hstmt,rc);  
 
   my_assert( 1 == myresult(hstmt));
 
-  ok_stmt(hstmt, SQLFreeStmt(hstmt,SQL_UNBIND));
+  rc = SQLFreeStmt(hstmt,SQL_UNBIND);
+  mystmt(hstmt,rc);
 
-  ok_stmt(hstmt, SQLFreeStmt(hstmt,SQL_CLOSE));
+  rc = SQLFreeStmt(hstmt,SQL_CLOSE);
+  mystmt(hstmt,rc);
 
   ok_sql(hstmt, "DROP TABLE IF EXISTS t_tstotime");
 
@@ -1002,7 +985,7 @@
   ts.hour= 19;
   ts.minute= 47;
   ts.second= 59;
-  ts.fraction= 4000;
+  ts.fraction= 4;
 
   /* Fractional truncation */
   expect_sql(hstmt, "SELECT ? AS foo", SQL_ERROR);
diff -urNad mysql-connector-odbc-5.1.13-src/test/my_desc.c mysql-connector-odbc-5.1.12-src/test/my_desc.c
--- mysql-connector-odbc-5.1.13-src/test/my_desc.c	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/test/my_desc.c	2013-01-24 18:58:34.000000000 +0200
@@ -1,5 +1,5 @@
 /*
-  Copyright (c) 2007, 2013, Oracle and/or its affiliates. All rights reserved.
+  Copyright (c) 2007, 2012, Oracle and/or its affiliates. All rights reserved.
 
   The MySQL Connector/ODBC is licensed under the terms of the GPLv2
   <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
diff -urNad mysql-connector-odbc-5.1.13-src/test/my_dyn_cursor.c mysql-connector-odbc-5.1.12-src/test/my_dyn_cursor.c
--- mysql-connector-odbc-5.1.13-src/test/my_dyn_cursor.c	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/test/my_dyn_cursor.c	2013-01-24 18:58:34.000000000 +0200
@@ -1,5 +1,5 @@
 /*
-  Copyright (c) 2003, 2013, Oracle and/or its affiliates. All rights reserved.
+  Copyright (c) 2003, 2010, Oracle and/or its affiliates. All rights reserved.
 
   The MySQL Connector/ODBC is licensed under the terms of the GPLv2
   <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
diff -urNad mysql-connector-odbc-5.1.13-src/test/my_error.c mysql-connector-odbc-5.1.12-src/test/my_error.c
--- mysql-connector-odbc-5.1.13-src/test/my_error.c	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/test/my_error.c	2013-01-24 18:58:34.000000000 +0200
@@ -589,7 +589,7 @@
   ok_env(henv, SQLAllocConnect(henv, &hdbc1));
 
   /* Expecting error without OPT_CAN_HANDLE_EXPIRED_PASSWORDS */
-  expect_dbc(hdbc1, get_connection(&hdbc1, NULL, "t_pwd_expire", "foo", NULL, NULL),
+  expect_dbc(hdbc1, get_connection(&hdbc1, NULL, "t_pwd_expire", "foo", NULL),
               SQL_ERROR);
 
   {
@@ -610,7 +610,7 @@
   }
 
   /* Expecting error as password has not been reset */
-  ok_con(hdbc1, get_connection(&hdbc1, NULL, "t_pwd_expire", "foo", NULL,
+  ok_con(hdbc1, get_connection(&hdbc1, NULL, "t_pwd_expire", "foo",
                                 "CAN_HANDLE_EXP_PWD=1"));
 
   /*strcat((char *)conn_in, ";INITSTMT={set password= password('bar')}");*/
@@ -626,8 +626,7 @@
   ok_con(hdbc1, SQLDisconnect(hdbc1));
 
   /* Checking we can get connection with new credentials */
-  ok_con(hdbc1, get_connection(&hdbc1, mydsn, "t_pwd_expire", "bar", NULL,
-                               NULL));
+  ok_con(hdbc1, get_connection(&hdbc1, mydsn, "t_pwd_expire", "bar", NULL));
   ok_con(hdbc1, SQLAllocStmt(hdbc1, &hstmt1));
 
   /* Also verifying that we got normal connection */
@@ -644,77 +643,6 @@
   return OK;
 }
 
-/*
-  Bug#16445091: CLEARTEXT AUTHENTICATION NOT PRESENT IN ODBC
-*/
-DECLARE_TEST(t_cleartext_password)
-{
-  SQLHDBC hdbc1;
-  SQLHSTMT hstmt1;
-  SQLRETURN rc;
-  SQLCHAR sql_state[6];
-  SQLINTEGER  err_code= 0;                              
-  SQLCHAR     err_msg[SQL_MAX_MESSAGE_LENGTH]= {0};
-  SQLSMALLINT err_len= 0;
-  SQLCHAR server_version[MYSQL_NAME_LEN+1];
-  unsigned int major1= 0, minor1= 0, build1= 0;
-
-  if (!mysql_min_version(hdbc, "5.5.16", 6) )
-  {
-    skip("The server does not support tested functionality(Cleartext Auth)");
-  }
-
-  SQLExecDirect(hstmt, (SQLCHAR *)"DROP USER 't_ct_user'@'%'", SQL_NTS);
-
-  if (!SQL_SUCCEEDED(SQLExecDirect(hstmt, 
-            "GRANT ALL ON *.* TO "
-            "'t_ct_user'@'%' IDENTIFIED WITH "
-            "'authentication_pam'", SQL_NTS))) 
-  {
-    skip("The authentication_pam plugin not loaded");
-  }
-
-  ok_env(henv, SQLAllocConnect(henv, &hdbc1));
-
-  /* 
-    Expecting error CR_AUTH_PLUGIN_CANNOT_LOAD_ERROR 
-    without option ENABLE_CLEARTEXT_PLUGIN
-  */
-  if(!SQL_SUCCEEDED(get_connection(&hdbc1, mydsn, "t_ct_user", "t_ct_pass",
-                        mydb, NULL)))
-  {
-    SQLGetDiagRec(SQL_HANDLE_DBC, hdbc1, 1, sql_state, &err_code, err_msg,
-                  SQL_MAX_MESSAGE_LENGTH - 1, &err_len);
-
-    printMessage("%s %d %s", sql_state, err_code, err_msg);
-    if ((strncmp(sql_state, "08004", 5) != 0 || err_code != 2059))
-    {                                                                               
-      return FAIL;
-    }
-  }  
-
-  /* 
-    Expecting error other then CR_AUTH_PLUGIN_CANNOT_LOAD_ERROR 
-    as option ENABLE_CLEARTEXT_PLUGIN is used
-  */
-  if(!SQL_SUCCEEDED(get_connection(&hdbc1, mydsn, "t_ct_user", "t_ct_pass",
-                        mydb, "ENABLE_CLEARTEXT_PLUGIN=1")))
-  {
-    SQLGetDiagRec(SQL_HANDLE_DBC, hdbc1, 1, sql_state, &err_code, err_msg,
-                  SQL_MAX_MESSAGE_LENGTH - 1, &err_len);
-    printMessage("%s %d %s", sql_state, err_code, err_msg);
-
-    if ((strncmp(sql_state, "08004", 5) == 0 && err_code == 2059))
-    {                                                                               
-      return FAIL;
-    }
-  }
-
-  ok_sql(hstmt, "DROP USER 't_ct_user'@'%'");
-
-  return OK;
-}
-
 
 BEGIN_TESTS
 #ifndef NO_DRIVERMANAGER
@@ -737,7 +665,6 @@
   ADD_TEST(t_bug13542600)
   ADD_TEST(t_bug14285620)
   ADD_TEST(t_passwordexpire)
-  ADD_TEST(t_cleartext_password)
 END_TESTS
 
 RUN_TESTS
diff -urNad mysql-connector-odbc-5.1.13-src/test/my_info.c mysql-connector-odbc-5.1.12-src/test/my_info.c
--- mysql-connector-odbc-5.1.13-src/test/my_info.c	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/test/my_info.c	2013-01-24 18:58:34.000000000 +0200
@@ -1,5 +1,5 @@
 /*
-  Copyright (c) 2007, 2013, Oracle and/or its affiliates. All rights reserved.
+  Copyright (c) 2007, 2012, Oracle and/or its affiliates. All rights reserved.
 
   The MySQL Connector/ODBC is licensed under the terms of the GPLv2
   <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
diff -urNad mysql-connector-odbc-5.1.13-src/test/my_keys.c mysql-connector-odbc-5.1.12-src/test/my_keys.c
--- mysql-connector-odbc-5.1.13-src/test/my_keys.c	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/test/my_keys.c	2013-01-24 18:58:34.000000000 +0200
@@ -1,5 +1,5 @@
 /*
-  Copyright (c) 2003, 2013, Oracle and/or its affiliates. All rights reserved.
+  Copyright (c) 2003, 2010, Oracle and/or its affiliates. All rights reserved.
 
   The MySQL Connector/ODBC is licensed under the terms of the GPLv2
   <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
diff -urNad mysql-connector-odbc-5.1.13-src/test/my_param.c mysql-connector-odbc-5.1.12-src/test/my_param.c
--- mysql-connector-odbc-5.1.13-src/test/my_param.c	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/test/my_param.c	2013-01-24 18:58:34.000000000 +0200
@@ -1,5 +1,5 @@
 /*
-  Copyright (c) 2003, 2013, Oracle and/or its affiliates. All rights reserved.
+  Copyright (c) 2003, 2011, Oracle and/or its affiliates. All rights reserved.
 
   The MySQL Connector/ODBC is licensed under the terms of the GPLv2
   <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
diff -urNad mysql-connector-odbc-5.1.13-src/test/my_prepare.c mysql-connector-odbc-5.1.12-src/test/my_prepare.c
--- mysql-connector-odbc-5.1.13-src/test/my_prepare.c	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/test/my_prepare.c	2013-01-24 18:58:34.000000000 +0200
@@ -1,5 +1,6 @@
 /*
-  Copyright (c) 2003, 2013, Oracle and/or its affiliates. All rights reserved.
+  Copyright (c) 2007, 2008 MySQL AB, 2010 Sun Microsystems, Inc.
+  Use is subject to license terms.
 
   The MySQL Connector/ODBC is licensed under the terms of the GPLv2
   <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
diff -urNad mysql-connector-odbc-5.1.13-src/test/my_relative.c mysql-connector-odbc-5.1.12-src/test/my_relative.c
--- mysql-connector-odbc-5.1.13-src/test/my_relative.c	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/test/my_relative.c	2013-01-24 18:58:34.000000000 +0200
@@ -1,5 +1,6 @@
 /*
-  Copyright (c) 2003, 2013, Oracle and/or its affiliates. All rights reserved.
+  Copyright (c) 2003, 2007, 2008 MySQL AB, 2010 Sun Microsystems, Inc.
+  Use is subject to license terms.
 
   The MySQL Connector/ODBC is licensed under the terms of the GPLv2
   <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
diff -urNad mysql-connector-odbc-5.1.13-src/test/my_result1.c mysql-connector-odbc-5.1.12-src/test/my_result1.c
--- mysql-connector-odbc-5.1.13-src/test/my_result1.c	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/test/my_result1.c	2013-01-24 18:58:34.000000000 +0200
@@ -1,5 +1,5 @@
 /*
-  Copyright (c) 2001, 2013, Oracle and/or its affiliates. All rights reserved.
+  Copyright (c) 2001, 2012, Oracle and/or its affiliates. All rights reserved.
 
   The MySQL Connector/ODBC is licensed under the terms of the GPLv2
   <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
diff -urNad mysql-connector-odbc-5.1.13-src/test/my_result2.c mysql-connector-odbc-5.1.12-src/test/my_result2.c
--- mysql-connector-odbc-5.1.13-src/test/my_result2.c	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/test/my_result2.c	2013-01-24 18:58:34.000000000 +0200
@@ -1,5 +1,5 @@
 /*
-  Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.
+  Copyright (c) 2012, Oracle and/or its affiliates. All rights reserved.
 
   The MySQL Connector/ODBC is licensed under the terms of the GPLv2
   <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
diff -urNad mysql-connector-odbc-5.1.13-src/test/my_scroll.c mysql-connector-odbc-5.1.12-src/test/my_scroll.c
--- mysql-connector-odbc-5.1.13-src/test/my_scroll.c	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/test/my_scroll.c	2013-01-24 18:58:34.000000000 +0200
@@ -1,5 +1,6 @@
 /*
-  Copyright (c) 2003, 2013, Oracle and/or its affiliates. All rights reserved.
+  Copyright (c) 2003, 2007, 2008 MySQL AB, 2010 Sun Microsystems, Inc.
+  Use is subject to license terms.
 
   The MySQL Connector/ODBC is licensed under the terms of the GPLv2
   <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
diff -urNad mysql-connector-odbc-5.1.13-src/test/my_tran.c mysql-connector-odbc-5.1.12-src/test/my_tran.c
--- mysql-connector-odbc-5.1.13-src/test/my_tran.c	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/test/my_tran.c	2013-01-24 18:58:34.000000000 +0200
@@ -1,5 +1,6 @@
 /*
-  Copyright (c) 2003, 2013, Oracle and/or its affiliates. All rights reserved.
+  Copyright (c) 2003, 2007 MySQL AB, 2010 Sun Microsystems, Inc.
+  Use is subject to license terms.
 
   The MySQL Connector/ODBC is licensed under the terms of the GPLv2
   <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
diff -urNad mysql-connector-odbc-5.1.13-src/test/my_types.c mysql-connector-odbc-5.1.12-src/test/my_types.c
--- mysql-connector-odbc-5.1.13-src/test/my_types.c	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/test/my_types.c	2013-01-24 18:58:34.000000000 +0200
@@ -1,5 +1,5 @@
 /*
-  Copyright (c) 2007, 2013, Oracle and/or its affiliates. All rights reserved.
+  Copyright (c) 2007, 2012, Oracle and/or its affiliates. All rights reserved.
 
   The MySQL Connector/ODBC is licensed under the terms of the GPLv2
   <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
diff -urNad mysql-connector-odbc-5.1.13-src/test/my_unicode.c mysql-connector-odbc-5.1.12-src/test/my_unicode.c
--- mysql-connector-odbc-5.1.13-src/test/my_unicode.c	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/test/my_unicode.c	2013-01-24 18:58:34.000000000 +0200
@@ -1,5 +1,5 @@
 /*
-  Copyright (c) 2007, 2013, Oracle and/or its affiliates. All rights reserved.
+  Copyright (c) 2007, 2012, Oracle and/or its affiliates. All rights reserved.
 
   The MySQL Connector/ODBC is licensed under the terms of the GPLv2
   <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
diff -urNad mysql-connector-odbc-5.1.13-src/test/my_unixodbc.c mysql-connector-odbc-5.1.12-src/test/my_unixodbc.c
--- mysql-connector-odbc-5.1.13-src/test/my_unixodbc.c	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/test/my_unixodbc.c	2013-01-24 18:58:34.000000000 +0200
@@ -1,5 +1,6 @@
 /*
-  Copyright (c) 2003, 2013, Oracle and/or its affiliates. All rights reserved.
+  Copyright (c) 2003, 2007, 2008 MySQL AB, 2010 Sun Microsystems, Inc.
+  Use is subject to license terms.
 
   The MySQL Connector/ODBC is licensed under the terms of the GPLv2
   <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
diff -urNad mysql-connector-odbc-5.1.13-src/test/my_use_result.c mysql-connector-odbc-5.1.12-src/test/my_use_result.c
--- mysql-connector-odbc-5.1.13-src/test/my_use_result.c	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/test/my_use_result.c	2013-01-24 18:58:34.000000000 +0200
@@ -1,5 +1,5 @@
 /*
-  Copyright (c) 2003, 2013, Oracle and/or its affiliates. All rights reserved.
+  Copyright (c) 2000, 2011, Oracle and/or its affiliates. All rights reserved.
 
   The MySQL Connector/ODBC is licensed under the terms of the GPLv2
   <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
diff -urNad mysql-connector-odbc-5.1.13-src/test/odbctap.h mysql-connector-odbc-5.1.12-src/test/odbctap.h
--- mysql-connector-odbc-5.1.13-src/test/odbctap.h	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/test/odbctap.h	2013-01-24 18:58:34.000000000 +0200
@@ -53,7 +53,6 @@
 
 #include <sql.h>
 #include <sqlext.h>
-#include <odbcinst.h>
 
 /* for clock() */
 #include <time.h>
@@ -150,8 +149,6 @@
 
 char *SKIP_REASON= NULL;
 
-#define USE_DRIVER (char *)-1
-
 typedef int (*test_func)(SQLHDBC, SQLHSTMT, SQLHENV);
 static void print_diag(SQLRETURN rc, SQLSMALLINT htype, SQLHANDLE handle,
 		       const char *text, const char *file, int line);
@@ -229,9 +226,6 @@
   gc_blk.counter= 0;
 }
 
-#define DECLARE_BASIC_HANDLES(E, C, S) SQLHENV E; \
-  SQLHDBC C; \
-  SQLHSTMT S
 
 #define BEGIN_TESTS my_test tests[]= {
 #define ADD_TEST(name) { #name, name, OK   },
@@ -479,21 +473,6 @@
 
 
 /**
-  Verify that the results of an ODBC function call on an environment handle
-  was SQL_SUCCESS or SQL_SUCCESS_WITH_INFO.
-
-  @param call    The function call
-*/
-#define ok_install(call) \
-do { \
-  BOOL rc= (call); \
-  print_diag_installer(rc, #call, __FILE__, __LINE__); \
-  if (!rc) \
-    return FAIL; \
-} while (0)
-
-
-/**
   Verify that a Boolean expression is true.
   It's recommended to use is_num, is_str, etc macros instead of "is(a==b)",
   since those will show values being compared, in a log.
@@ -592,8 +571,6 @@
 
 
 /**
-  Print error and diagnostic information for ODBC API functions that did not
-  finish with SQL_SUCCESS(_WITH_INFO) result
 */
 static void print_diag(SQLRETURN rc, SQLSMALLINT htype, SQLHANDLE handle,
 		       const char *text, const char *file, int line)
@@ -622,32 +599,6 @@
 }
 
 
-/**
-  Print error and diagnostic information for ODBC INSTALLER API functions 
-  that did not return TRUE (1)
-*/
-static void print_diag_installer(BOOL is_success, const char *text, 
-                                 const char *file, int line)
-{
-  if (!is_success)
-  {
-    SQLCHAR     message[SQL_MAX_MESSAGE_LENGTH];
-    SQLINTEGER  error_code;
-    SQLSMALLINT length;
-    SQLRETURN   drc;
-
-    drc= SQLInstallerError(1, &error_code, message, SQL_MAX_MESSAGE_LENGTH - 1, &length);
-
-    if (SQL_SUCCEEDED(drc))
-      printf("# [%s] %s in %s on line %d\n",
-             text, message, file, line);
-    else
-      printf("# Did not get expected diagnostics from SQLInstallerError() = %d"
-             " in file %s on line %d\n", drc, file, line);
-  }
-}
-
-
 /* UTILITY MACROS */
 #define myenv(henv,r)  \
   do { \
@@ -1144,47 +1095,31 @@
    and my_str_options, respectively.
    myoption, mysock and myport values are used. */
 int get_connection(SQLHDBC *hdbc, const SQLCHAR *dsn, const SQLCHAR *uid,
-                   const SQLCHAR *pwd, const SQLCHAR *db, 
-                   const SQLCHAR *options)
+                   const SQLCHAR *pwd, const SQLCHAR *options)
 {
-  /* Buffers have to be large enough to contain SSL options and long names */
-  SQLCHAR     connIn[4096], connOut[4096];
-  SQLCHAR     dsn_buf[MAX_NAME_LEN]= {0}, socket_buf[MAX_NAME_LEN]= {0};
-  SQLCHAR     db_buf[MAX_NAME_LEN]= {0}, port_buf[MAX_NAME_LEN]= {0};
+  SQLCHAR     connIn[MAX_NAME_LEN*2], connOut[MAX_NAME_LEN*2];
   SQLSMALLINT len;
   SQLRETURN   rc;
 
-  /* We never set the custom DSN, but sometimes use DRIVER instead */
-  if (dsn == NULL)
-    sprintf((char *)dsn_buf, "DSN=%s", (char *)mydsn);
-  else if (dsn == USE_DRIVER)
-    sprintf((char *)dsn_buf, "DRIVER=%s", (char *)mydriver);
-  else
-    sprintf((char *)dsn_buf, "DSN=%s", (char *)dsn);
-
   /* Defaults */
+  if (dsn     == NULL) dsn=     mydsn;
   if (uid     == NULL) uid=     myuid;
   if (pwd     == NULL) pwd=     mypwd;
-  if (db      == NULL) db=      mydb;
   if (options == NULL) options= my_str_options;
 
-  sprintf((char *)connIn, "%s;UID=%s;PWD=%s;OPTION=%d",
-          (char *)dsn_buf, (char *)uid, (char *)pwd, myoption);
+  sprintf((char *)connIn, "DSN=%s;UID=%s;PWD=%s;DATABASE=test;OPTION=%d",
+          (char *)dsn, (char *)uid, (char *)pwd, myoption);
 
   if (mysock && mysock[0])
   {
-    sprintf((char *)socket_buf, ";SOCKET=%s", (char *)mysock);
-    strcat((char *)connIn, socket_buf);
-  }
-  if (db && db[0])
-  {
-    sprintf((char *)db_buf, ";DATABASE=%s", (char *)db);
-    strcat((char *)connIn, (char *)db_buf);
+    strcat((char *)connIn, ";SOCKET=");
+    strcat((char *)connIn, (char *)mysock);
   }
   if (myport)
   {
-    sprintf(port_buf, ";PORT=%d", myport);
-    strcat((char *)connIn, port_buf);
+    char buff[20];
+    sprintf(buff, ";PORT=%d", myport);
+    strcat((char *)connIn, buff);
   }
 
   if (options != NULL && options[0] > 0)
@@ -1194,7 +1129,7 @@
   }
 
   rc= SQLDriverConnect(*hdbc, NULL, connIn, SQL_NTS, connOut,
-                       MAX_NAME_LEN, &len, SQL_DRIVER_NOPROMPT);
+                                 MAX_NAME_LEN, &len, SQL_DRIVER_NOPROMPT);
 
   if (SQL_SUCCEEDED(rc))
   {
@@ -1203,22 +1138,11 @@
     rc= SQLSetConnectAttr(*hdbc, SQL_ATTR_AUTOCOMMIT,
                                   (SQLPOINTER)SQL_AUTOCOMMIT_ON, 0);
   }
-  else
-  {
-    /* re-build and print the connection string with hidden password */
-    printf("# Connection failed with the following Connection string: " \
-           "\n%s;UID=%s;PWD=*******%s%s%s;%s\n", 
-           dsn_buf, uid, socket_buf, db_buf, port_buf, options);
-  }
 
   return rc;
 }
 
-
-int alloc_basic_handles_with_opt(SQLHENV *henv, SQLHDBC *hdbc, 
-                                 SQLHSTMT *hstmt,  const SQLCHAR *dsn, 
-                                 const SQLCHAR *uid, const SQLCHAR *pwd, 
-                                 const SQLCHAR *db, const SQLCHAR *options)
+int alloc_basic_handles(SQLHENV *henv, SQLHDBC *hdbc, SQLHSTMT *hstmt)
 {
   ok_env(*henv, SQLAllocHandle(SQL_HANDLE_ENV, SQL_NULL_HANDLE, henv));
 
@@ -1227,7 +1151,7 @@
 
   ok_env(*henv, SQLAllocHandle(SQL_HANDLE_DBC, *henv, hdbc));
 
-  ok_con(*hdbc, get_connection(hdbc, dsn, uid, pwd, db, options));
+  ok_con(*hdbc, get_connection(hdbc, mydsn, myuid, mypwd, my_str_options));
 
   ok_con(*hdbc, SQLAllocHandle(SQL_HANDLE_STMT, *hdbc, hstmt));
 
@@ -1235,15 +1159,6 @@
 }
 
 
-int alloc_basic_handles(SQLHENV *henv, SQLHDBC *hdbc, SQLHSTMT *hstmt)
-{
-  return alloc_basic_handles_with_opt(henv, hdbc, hstmt, (SQLCHAR *)mydsn, 
-                                      (SQLCHAR *)myuid, (SQLCHAR *)mypwd,
-                                      (SQLCHAR *)mydb, 
-                                      (SQLCHAR *)my_str_options);
-}
-
-
 int free_basic_handles(SQLHENV *henv,SQLHDBC *hdbc, SQLHSTMT *hstmt)
 {
   /* We don't care if this succeeds, the connection may have gone away. */
diff -urNad mysql-connector-odbc-5.1.13-src/util/installer.c mysql-connector-odbc-5.1.12-src/util/installer.c
--- mysql-connector-odbc-5.1.13-src/util/installer.c	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/util/installer.c	2013-01-24 18:58:34.000000000 +0200
@@ -164,8 +164,6 @@
 static SQLWCHAR W_PREFETCH[]= {'P','R','E','F','E','T','C','H',0};
 static SQLWCHAR W_CAN_HANDLE_EXP_PWD[]=
   {'C','A','N','_','H','A','N','D','L','E','_','E','X','P','_','P','W','D',0};
-static SQLWCHAR W_ENABLE_CLEARTEXT_PLUGIN[]=
-  {'E','N','A','B','L','E','_','C','L','E','A', 'R', 'T', 'E', 'X', 'T', '_','P','L','U','G','I','N',0};
 
 /* DS_PARAM */
 /* externally used strings */
@@ -194,8 +192,7 @@
                         W_ZERO_DATE_TO_MIN, W_MIN_DATE_TO_ZERO,
                         W_MULTI_STATEMENTS, W_COLUMN_SIZE_S32,
                         W_NO_BINARY_RESULT, W_DFLT_BIGINT_BIND_STR,
-                        W_CLIENT_INTERACTIVE, W_NO_I_S, W_PREFETCH, 
-                        W_CAN_HANDLE_EXP_PWD, W_ENABLE_CLEARTEXT_PLUGIN};
+                        W_CLIENT_INTERACTIVE, W_NO_I_S, W_PREFETCH, W_CAN_HANDLE_EXP_PWD};
 static const
 int dsnparamcnt= sizeof(dsnparams) / sizeof(SQLWCHAR *);
 /* DS_PARAM */
@@ -812,8 +809,6 @@
     *booldest= &ds->no_information_schema;
   else if (!sqlwcharcasecmp(W_CAN_HANDLE_EXP_PWD, param))
     *booldest= &ds->can_handle_exp_pwd;
-  else if (!sqlwcharcasecmp(W_ENABLE_CLEARTEXT_PLUGIN, param))
-    *booldest= &ds->enable_cleartext_plugin;
 
   /* DS_PARAM */
 }
@@ -1014,9 +1009,7 @@
 
     attrs= end;
     /* If delim is NULL then double-NULL is the end of key-value pairs list */
-    while ((delim && *attrs == delim) ||
-           (!delim && !*attrs && *(attrs+1)) ||
-           *attrs == ' ')
+    while ((delim && *attrs == delim) || *attrs == ' ')
       ++attrs;
   }
 
@@ -1277,7 +1270,6 @@
   if (ds_add_intprop(ds->name, W_DFLT_BIGINT_BIND_STR, ds->default_bigint_bind_str)) goto error;
   if (ds_add_intprop(ds->name, W_NO_I_S, ds->no_information_schema)) goto error;
   if (ds_add_intprop(ds->name, W_CAN_HANDLE_EXP_PWD, ds->can_handle_exp_pwd)) goto error;
-  if (ds_add_intprop(ds->name, W_ENABLE_CLEARTEXT_PLUGIN, ds->enable_cleartext_plugin)) goto error;
   /* DS_PARAM */
 
   rc= 0;
diff -urNad mysql-connector-odbc-5.1.13-src/util/installer.h mysql-connector-odbc-5.1.12-src/util/installer.h
--- mysql-connector-odbc-5.1.13-src/util/installer.h	2013-09-25 19:57:53.000000000 +0300
+++ mysql-connector-odbc-5.1.12-src/util/installer.h	2013-01-24 18:58:34.000000000 +0200
@@ -114,7 +114,6 @@
   BOOL auto_increment_null_search;
   BOOL handle_binary_as_char;
   BOOL can_handle_exp_pwd;
-  BOOL enable_cleartext_plugin;
   /*  */
   BOOL dont_prompt_upon_connect;
   BOOL dynamic_cursor;
